React Intros Sections

React Intros Sections - Bootstrap 4 & Material Design

React Bootstrap Intro Sections are full-page templates which can make Your website outstanding.


App intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBFormInline,
            MDBAnimation
          } from 'mdbreact';
          import './AppPage.css';
          
          class AppPage extends React.Component {
            state = {
              collapsed: false
            };
          
            handleTogglerClick = () => {
              const { collapsed } = this.state;
              this.setState({
                collapsed: !collapsed
              });
            };
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapsed } = this.state;
          
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.handleTogglerClick}
                />
              );
              return (
                <div id='apppage'>
                  <Router>
                    <div>
                      <MDBNavbar
                        color='primary-color'
                        dark
                        expand='md'
                        fixed='top'
                        scrolling
                        transparent
                        style={{ marginTop: '65px' }}
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className='white-text'>MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.handleTogglerClick} />
                          <MDBCollapse isOpen={collapsed} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapsed && overlay}
                    </div>
                  </Router>
                  <MDBView>
                    <MDBMask className='white-text gradient' />
                    <MDBContainer
                      style={{ height: '100%', width: '100%', paddingTop: '10rem' }}
                      className='d-flex justify-content-center white-text align-items-center'
                    >
                      <MDBRow>
                        <MDBCol md='6' className='text-center text-md-left mt-xl-5 mb-5'>
                          <MDBAnimation type='fadeInLeft' delay='.3s'>
                            <h1 className='h1-responsive font-weight-bold mt-sm-5'>
                              Make purchases with our app
                            </h1>
                            <hr className='hr-light' />
                            <h6 className='mb-4'>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                              Rem repellendus quasi fuga nesciunt dolorum nulla magnam
                              veniam sapiente, fugiat! Commodi sequi non animi ea dolor
                              molestiae iste.
                            </h6>
                            <MDBBtn color='white'>Download</MDBBtn>
                            <MDBBtn outline color='white'>
                              Learn More
                            </MDBBtn>
                          </MDBAnimation>
                        </MDBCol>
          
                        <MDBCol md='6' xl='5' className='mt-xl-5'>
                          <MDBAnimation type='fadeInRight' delay='.3s'>
                            <img
                              src='https://mdbootstrap.com/img/Mockups/Transparent/Small/admin-new.webp'
                              alt=''
                              className='img-fluid'
                            />
                          </MDBAnimation>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
          
                  <MDBContainer>
                    <MDBRow className='py-5'>
                      <MDBCol md='12' className='text-center'>
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }
          
          export default AppPage;
          
        
        
    
        
            
          #apppage .gradient {
            background: -moz-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: -webkit-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: -webkit-gradient(
              linear,
              45deg,
              from(rgba(42, 27, 161, 0.7)),
              to(rgba(29, 210, 177, 0.7))
            );
            background: -o-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
          }
          
          #apppage .view {
            background-image: url('https://mdbootstrap.com/img/Photos/Others/architecture.webp');
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
            min-height: 100vh;
          }
          
          #apppage h6 {
            line-height: 1.7;
          }
              
        
    

Contact Form Intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBFormInline,
            MDBCard,
            MDBCardBody,
            MDBInput
          } from 'mdbreact';
          import './ContactFormPage.css';
          
          class ContactFormPage extends React.Component {
            state = {
              collapseID: ''
            };
          
            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ''
              }));
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapseID } = this.state;
              const navStyle = { marginTop: '65px' };
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.toggleCollapse('navbarCollapse')}
                />
              );
              return (
                <div id='contactformpage'>
                  <Router>
                    <div>
                      <MDBNavbar
                        style={navStyle}
                        color='deep-purple darken-4'
                        dark
                        expand='md'
                        fixed='top'
                        scrolling
                        transparent
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className='white-text'>MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler
                            onClick={this.toggleCollapse('navbarCollapse')}
                          />
                          <MDBCollapse id='navbarCollapse' isOpen={collapseID} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapseID && overlay}
                    </div>
                  </Router>
          
                  <MDBView>
                    <MDBMask overlay='indigo-strong' />
                    <MDBContainer
                      style={{ height: '100%', width: '100%', paddingTop: '10rem' }}
                      className='d-flex justify-content-center align-items-center'
                    >
                      <MDBRow>
                        <div className='white-text text-center text-md-left col-md-6 mt-xl-5 mb-5'>
                          <h1 className='display-4 font-weight-bold'>Lorem ipsum </h1>
                          <hr className='hr-light' />
                          <h6 className='mb-4'>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem
                            repellendus quasi fuga nesciunt dolorum nulla magnam veniam
                            sapiente, fugiat! Commodi sequi non animi ea dolor molestiae
                            iste.
                          </h6>
                          <MDBBtn outline color='white'>
                            Learn More
                          </MDBBtn>
                        </div>
                        <MDBCol md='6' xl='5' className='mb-4'>
                          <MDBCard className='dark-grey-text'>
                            <MDBCardBody className='z-depth-2'>
                              <h3 className='dark-grey-text text-center'>
                                <strong>Write to us:</strong>
                              </h3>
                              <hr />
                              <MDBInput label='Your name' icon='user' />
                              <MDBInput label='Your email' icon='envelope' />
                              <MDBInput
                                label='Your message'
                                icon='pencil-alt'
                                type='textarea'
                                rows='3'
                              />
                              <div className='text-center mt-3 black-text'>
                                <MDBBtn color='indigo'>Send</MDBBtn>
                                <hr />
                                <MDBInput
                                  type='checkbox'
                                  id='checkbox'
                                  label='Subscribe me to the newsletter'
                                />
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
          
                  <MDBContainer>
                    <MDBRow className='py-5'>
                      <MDBCol md='12' className='text-center'>
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }
          
          export default ContactFormPage;
          
              
        
    
        
            
                  #contactformpage .view {
                    background-image: url('https://mdbootstrap.com/img/Photos/Others/images/89.webp');
                    background-repeat: no-repeat;
                    background-size: cover;
                    background-position: center center;
                    min-height: 100vh;
                  }
                  
                  #contactformpage h6 {
                    line-height: 1.7;
                  }
                  
                  #contactformpage .form-check {
                    margin-bottom: 0 !important;
                  }
                  
                  #contactformpage i {
                    color: #9e9e9e !important;
                  }
          
              
        
    

Call to Action Buttons Intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBFormInline,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBIcon
          } from 'mdbreact';
          import './CallToActionIntro.css';
          
          class CallToActionIntro extends React.Component {
            state = {
              collapsed: false
            };
          
            handleTogglerClick = () => {
              const { collapsed } = this.state;
              this.setState({
                collapsed: !collapsed
              });
            };
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapsed } = this.state;
              const navStyle = { marginTop: '4rem' };
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.handleTogglerClick}
                />
              );
              return (
                <div id='caltoaction'>
                  <Router>
                    <div>
                      <MDBNavbar
                        color='secondary-color'
                        style={navStyle}
                        light
                        expand='md'
                        fixed='top'
                        scrolling
                        transparent
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong>MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.handleTogglerClick} />
                          <MDBCollapse isOpen={collapsed} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapsed && overlay}
                    </div>
                  </Router>
                  <MDBView src='https://mdbootstrap.com/img/Photos/Others/gradient2.webp'>
                    <MDBMask className='rgba-purple-slight ' />
                    <MDBContainer
                      style={{ height: '100%', width: '100%', paddingTop: '14rem' }}
                      className='d-flex justify-content-center align-items-center'
                    >
                      <MDBRow>
                        <MDBCol md='12' className='mb-4 text-center'>
                          <h1 className='display-4 font-weight-bold mb-0 pt-md-5 pt-5'>
                            Our New Course is Ready
                          </h1>
                          <h5 className='pt-md-5 pt-sm-2 pt-5 pb-md-5 pb-sm-3 pb-5'>
                            It comes with a lot of new features, easy to follow videos and
                            images. Check it out now!
                          </h5>
                          <MDBBtn rounded className='btn-purple'>
                            <MDBIcon icon='user' className='mr-2' /> Sign up!
                          </MDBBtn>
                          <MDBBtn outline color='purple' rounded>
                            <MDBIcon icon='book' className='mr-2' /> Learn more
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
                </div>
              );
            }
          }
          
          export default CallToActionIntro;
          
              
        
    
        
            
                #caltoaction .view {
                  min-height: 100vh !important;
                  height: unset !important;
                }
                
            
        
    

Parallax Effect intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBFormInline,
            MDBBtn,
            MDBView,
            MDBContainer
          } from 'mdbreact';
          import './ParallaxIntro.css';
          
          class ParallaxIntro extends React.Component {
            state = {
              collapsed: false
            };
          
            handleTogglerClick = () => {
              this.setState({
                collapsed: !this.state.collapsed
              });
            };
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
            render() {
              const navStyle = { marginTop: '4rem' };
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.handleTogglerClick}
                />
              );
          
              const { collapsed } = this.state;
              return (
                <div id='parallaxintro'>
                  <Router>
                    <div>
                      <MDBNavbar
                        color='primary-color'
                        style={navStyle}
                        dark
                        expand='md'
                        fixed='top'
                        scrolling
                        transparent
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <MDBNavLink to='https://mdbootstrap.com/'>
                              <strong className='white-text'>MDB</strong>
                            </MDBNavLink>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.handleTogglerClick} />
                          <MDBCollapse isOpen={collapsed} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem>
                                <MDBNavLink to='#'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#'>About</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapsed && overlay}
                    </div>
                  </Router>
                  <MDBView
                    src={'https://mdbootstrap.com/img/Photos/Others/images/76.webp'}
                    fixed
                  >
                    <MDBMask className='rgba-white-light' />
                    <MDBContainer
                      className='d-flex justify-content-center align-items-center'
                      style={{ height: '100%', width: '100%', paddingTop: '15rem' }}
                    >
                      <MDBRow>
                        <MDBCol md='12' className='mb-4 white-text text-center'>
                          <h1 className='display-3 mb-0 pt-md-5 pt-5 white-text font-weight-bold'>
                            MDB
                            <span className='indigo-text font-weight-bold'>Parallax</span>
                          </h1>
                          <hr className='hr-light my-4' />
                          <h5 className='text-uppercase pt-md-5 pt-sm-2 pt-5 pb-md-5 pb-sm-3 pb-5 white-text font-weight-bold'>
                            Check documentation to see how to use MDBParallax
                          </h5>
                          <MDBBtn
                            className='btn-indigo'
                            size='lg'
                            href='https://mdbootstrap.com/docs/b4/react/css/parallax/'
                            target='_blank'
                          >
                            Parallax documentation
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
                  <main>
                    <MDBContainer>
                      <MDBRow className='py-5'>
                        <MDBCol md='12' className='text-center'>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
                            do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                            Ut enim ad minim veniam, quis nostrud exercitation ullamco
                            laboris nisi ut aliquip ex ea commodo consequat. Duis aute
                            irure dolor in reprehenderit in voluptate velit esse cillum
                            dolore eu fugiat nulla pariatur. Excepteur sint occaecat
                            cupidatat non proident, sunt in culpa qui officia deserunt
                            mollit anim id est laborum.
                          </p>
                          <p>
                            Sed ut perspiciatis unde omnis iste natus error sit voluptatem
                            accusantium doloremque laudantium, totam rem aperiam, eaque
                            ipsa quae ab illo inventore veritatis et quasi architecto
                            beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem
                            quia voluptas sit aspernatur aut odit aut fugit, sed quia
                            consequuntur magni dolores eos qui ratione voluptatem sequi
                            nesciunt. Neque porro quisquam est, qui dolorem ipsum quia
                            dolor sit amet, consectetur, adipisci velit, sed quia non
                            numquam eius modi tempora incidunt ut labore et dolore magnam
                            aliquam quaerat voluptatem. Ut enim ad minima veniam, quis
                            nostrum exercitationem ullam corporis suscipit laboriosam,
                            nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum
                            iure reprehenderit qui in ea voluptate velit esse quam nihil
                            molestiae consequatur, vel illum qui dolorem eum fugiat quo
                            voluptas nulla pariatur?
                          </p>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
                            do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                            Ut enim ad minim veniam, quis nostrud exercitation ullamco
                            laboris nisi ut aliquip ex ea commodo consequat. Duis aute
                            irure dolor in reprehenderit in voluptate velit esse cillum
                            dolore eu fugiat nulla pariatur. Excepteur sint occaecat
                            cupidatat non proident, sunt in culpa qui officia deserunt
                            mollit anim id est laborum.
                          </p>
                          <p>
                            Sed ut perspiciatis unde omnis iste natus error sit voluptatem
                            accusantium doloremque laudantium, totam rem aperiam, eaque
                            ipsa quae ab illo inventore veritatis et quasi architecto
                            beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem
                            quia voluptas sit aspernatur aut odit aut fugit, sed quia
                            consequuntur magni dolores eos qui ratione voluptatem sequi
                            nesciunt. Neque porro quisquam est, qui dolorem ipsum quia
                            dolor sit amet, consectetur, adipisci velit, sed quia non
                            numquam eius modi tempora incidunt ut labore et dolore magnam
                            aliquam quaerat voluptatem. Ut enim ad minima veniam, quis
                            nostrum exercitationem ullam corporis suscipit laboriosam,
                            nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum
                            iure reprehenderit qui in ea voluptate velit esse quam nihil
                            molestiae consequatur, vel illum qui dolorem eum fugiat quo
                            voluptas nulla pariatur?
                          </p>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </main>
                </div>
              );
            }
          }
          
          export default ParallaxIntro;
          
              
        
    
        
            
                #parallaxintro .view {
                  min-height: 100vh !important;
                  height: unset !important;
                }
                
            
        
    

Classic Register Form intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBIcon,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBCard,
            MDBCardBody,
            MDBInput,
            MDBFormInline,
            MDBAnimation
          } from 'mdbreact';
          import './ClassicFormPage.css';
          
          class ClassicFormPage extends React.Component {
            state = {
              collapseID: ''
            };
          
            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ''
              }));
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapseID } = this.state;
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.toggleCollapse('navbarCollapse')}
                />
              );
              return (
                <div id='classicformpage'>
                  <Router>
                    <div>
                      <MDBNavbar
                        dark
                        expand='md'
                        scrolling
                        fixed='top'
                        style={{ marginTop: '65px' }}
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className='white-text'>MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler
                            onClick={this.toggleCollapse('navbarCollapse')}
                          />
                          <MDBCollapse id='navbarCollapse' isOpen={collapseID} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapseID && overlay}
                    </div>
                  </Router>
          
                  <MDBView>
                    <MDBMask className='d-flex justify-content-center align-items-center gradient' />
                    <MDBContainer
                      style={{ height: '100%', width: '100%', paddingTop: '10rem' }}
                      className='mt-5  d-flex justify-content-center align-items-center'
                    >
                      <MDBRow>
                        <MDBAnimation
                          type='fadeInLeft'
                          delay='.3s'
                          className='white-text text-center text-md-left col-md-6 mt-xl-5 mb-5'
                        >
                          <h1 className='h1-responsive font-weight-bold'>
                            Sign up right now!
                          </h1>
                          <hr className='hr-light' />
                          <h6 className='mb-4'>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem
                            repellendus quasi fuga nesciunt dolorum nulla magnam veniam
                            sapiente, fugiat! Commodi sequi non animi ea dolor molestiae,
                            quisquam iste, maiores. Nulla.
                          </h6>
                          <MDBBtn outline color='white'>
                            Learn More
                          </MDBBtn>
                        </MDBAnimation>
          
                        <MDBCol md='6' xl='5' className='mb-4'>
                          <MDBAnimation type='fadeInRight' delay='.3s'>
                            <MDBCard id='classic-card'>
                              <MDBCardBody className='white-text'>
                                <h3 className='text-center'>
                                  <MDBIcon icon='user' /> Register:
                                </h3>
                                <hr className='hr-light' />
                                <MDBInput
                                  className='white-text'
                                  iconClass='white-text'
                                  label='Your name'
                                  icon='user'
                                />
                                <MDBInput
                                  className='white-text'
                                  iconClass='white-text'
                                  label='Your email'
                                  icon='envelope'
                                />
                                <MDBInput
                                  className='white-text'
                                  iconClass='white-text'
                                  label='Your password'
                                  icon='lock'
                                  type='password'
                                />
                                <div className='text-center mt-4 black-text'>
                                  <MDBBtn color='indigo'>Sign Up</MDBBtn>
                                  <hr className='hr-light' />
                                  <div className='text-center d-flex justify-content-center white-label'>
                                    <a href='#!' className='p-2 m-2'>
                                      <MDBIcon
                                        fab
                                        icon='twitter'
                                        className='white-text'
                                      />
                                    </a>
                                    <a href='#!' className='p-2 m-2'>
                                      <MDBIcon
                                        fab
                                        icon='linkedin'
                                        className='white-text'
                                      />
                                    </a>
                                    <a href='#!' className='p-2 m-2'>
                                      <MDBIcon
                                        fab
                                        icon='instagram'
                                        className='white-text'
                                      />
                                    </a>
                                  </div>
                                </div>
                              </MDBCardBody>
                            </MDBCard>
                          </MDBAnimation>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
          
                  <MDBContainer>
                    <MDBRow className='py-5'>
                      <MDBCol md='12' className='text-center'>
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }
          
          export default ClassicFormPage;        
              
        
    
        
            
                  #classicformpage .view {
                    background-image: url('http://mdbootstrap.com/img/Photos/Others/images/91.webp');
                    background-repeat: no-repeat;
                    background-size: cover;
                    background-position: center center;
                    min-height: 100vh;
                  }
                  
                  #classicformpage .gradient {
                    background: -webkit-linear-gradient(
                      45deg,
                      rgba(0, 0, 0, 0.7),
                      rgba(72, 15, 144, 0.4) 100%
                    );
                    background: -webkit-gradient(
                      linear,
                      45deg,
                      from(rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%)
                    );
                    background: linear-gradient(
                      45deg,
                      rgba(0, 0, 0, 0.7),
                      rgba(72, 15, 144, 0.4) 100%
                    );
                  }
                  
                  #classicformpage .card {
                    background-color: rgba(126, 123, 215, 0.2);
                  }
                  
                  #classicformpage h6 {
                    line-height: 1.7;
                  }
                  
                  #classicformpage .navbar {
                    transition: background 0.5s ease-in-out, padding 0.5s ease-in-out;
                  }
                  
                  #classicformpage .top-nav-collapse {
                    background: #424f95 !important;
                  }
                  
                  @media (max-width: 768px) {
                    #classicformpage .navbar:not(.top-nav-collapse) {
                      background: #424f95 !important;
                    }
                  }
                  
                  #classicformpage label {
                    color: #fff !important;
                  }
          

              
        
    

Video background intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBIcon,
            MDBBtn,
            MDBView,
            MDBContainer
          } from 'mdbreact';
          import './VideoBackgroundPage.css';
          
          class VideoBackgroundPage extends React.Component {
            state = {
              collapseID: ''
            };
          
            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ''
              }));
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapseID } = this.state;
              const navStyle = { marginTop: '4rem' };
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.toggleCollapse('navbarCollapse')}
                />
              );
              return (
                <div id='videobackground'>
                  <Router>
                    <div>
                      <MDBNavbar style={navStyle} dark scrolling expand='md' fixed='top'>
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <span className='white-text'>MDBNavbar</span>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler
                            onClick={this.toggleCollapse('navbarCollapse')}
                          />
                          <MDBCollapse id='navbarCollapse' isOpen={collapseID} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  About
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  Features
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  Services
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  Opinions
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  Team
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='#!'>
                                  Contact
                                </MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBNavLink link to='!#'>
                                  <MDBIcon fab icon='facebook' />
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='!#'>
                                  <MDBIcon fab icon='twitter' />
                                </MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink link to='!#'>
                                  <MDBIcon fab icon='instagram' />
                                </MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapseID && overlay}
                    </div>
                  </Router>
          
                  <MDBView>
                    <MDBMask className='gradient'>
                      <video
                        className='video-intro'
                        poster='https://mdbootstrap.com/img/Photos/Others/background.webp'
                        muted
                        loop
                        autoPlay
                      >
                        <source
                          src='https://mdbootstrap.com/img/video/animation.mp4'
                          type='video/mp4'
                        />
                      </video>
                    </MDBMask>{' '}
                    <MDBContainer
                      className='d-flex justify-content-center align-items-center px-md-3 px-sm-0'
                      style={{ height: '100vh', width: '100%' }}
                    >
                      <MDBRow>
                        <MDBCol md='12' className='mb-4 white-text text-center'>
                          <h3 className='display-3 font-weight-bold mb-0 pt-md-5'>
                            Creative Agency{' '}
                          </h3>
                          <hr className='hr-light my-4 w-75' />
                          <h4 className='subtext-header mt-2 mb-4'>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit
                            deleniti consequuntur nihil.
                          </h4>
                          <MDBBtn outline rounded color='white'>
                            <MDBIcon icon='home' /> Visit us
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
          
                  <MDBContainer>
                    <MDBRow className='pt-5 pb-4'>
                      <MDBCol md='12' className='text-center'>
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }
          
          export default VideoBackgroundPage;
          
              
        
    
        
            
                  #videobackground .gradient {
                    background: -moz-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                    background: -webkit-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                    background: linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                  }
                  
                  #videobackground .view video {
                    z-index: -100;
                    top: 50%;
                    left: 50%;
                    transform: translateX(-50%) translateY(-50%);
                    transition: 1s opacity;
                    min-width: 100%;
                    min-height: 100%;
                    width: auto;
                    height: auto;
                  }
                  
                  #videobackground .view {
                    min-height: 100vh;
                  }
              
        
    

Minimalist Intro MDB Pro component

        
            
          import React from 'react';
          import { BrowserRouter as Router } from 'react-router-dom';
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBFormInline,
            MDBBtn,
            MDBView,
            MDBContainer
          } from 'mdbreact';
          import './MinimalisticIntro.css';
          
          class MinimalisticIntro extends React.Component {
            state = {
              collapsed: false
            };
          
            handleTogglerClick = () => {
              const { collapsed } = this.state;
          
              this.setState({
                collapsed: !collapsed
              });
            };
          
            componentDidMount() {
              document.querySelector('nav').style.height = '65px';
            }
          
            componentWillUnmount() {
              document.querySelector('nav').style.height = 'auto';
            }
          
            render() {
              const { collapsed } = this.state;
              const navStyle = { marginTop: '4rem' };
              const overlay = (
                <div
                  id='sidenav-overlay'
                  style={{ backgroundColor: 'transparent' }}
                  onClick={this.handleTogglerClick}
                />
              );
              return (
                <div id='minimalistintro'>
                  <Router>
                    <div>
                      <MDBNavbar
                        color='primary-color'
                        style={navStyle}
                        dark
                        expand='md'
                        fixed='top'
                        scrolling
                        transparent
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className='white-text'>MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.handleTogglerClick} />
                          <MDBCollapse isOpen={collapsed} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to='#!'>Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to='#!'>Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className='md-form my-0'>
                                    <input
                                      className='form-control mr-sm-2'
                                      type='text'
                                      placeholder='Search'
                                      aria-label='Search'
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {collapsed && overlay}
                    </div>
                  </Router>
                  <MDBView src='https://mdbootstrap.com/img/Photos/Others/img%20%2848%29.webp'>
                    <MDBMask className='rgba-black-light' />
                    <MDBContainer
                      className='d-flex justify-content-center align-items-center'
                      style={{ height: '100%', width: '100%', paddingTop: '17rem' }}
                    >
                      <MDBRow>
                        <MDBCol md='12' className='mb-4 white-text text-center'>
                          <h1 className='h1-reponsive white-text text-uppercase font-weight-bold mb-0 pt-md-5 pt-5 '>
                            Minimalist intro
                          </h1>
                          <hr className='hr-light my-4' />
                          <h5 className='text-uppercase mb-4 white-text '>
                            <strong>Photography & design</strong>
                          </h5>
                          <MDBBtn outline color='white'>
                            portfolio
                          </MDBBtn>
                          <MDBBtn outline color='white'>
                            About me
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBView>
                </div>
              );
            }
          }
          
          export default MinimalisticIntro;
          
              
        
    
        
            
                #minimalistintro .view {
                  min-height: 100vh !important;
                  height: unset !important;
                }

Vue Bootstrap Intro Sections

Vue Intro Sections - Bootstrap 4 & Material Design

Vue Bootstrap Intro Sections are full-page templates which can make Your website outstanding.

Use one of the stunning, full-page intros to make your website outstanding.

1. Half Page intro

2. App intro

3. Contact Form intro

4. Call to Action Buttons intro

5. Parallax Effect intro

6. Classic Register Form intro

7. Video Background Intro

8. Minimalist intro


Half page intro MDB Pro component

        
            
                <template>
                  <div>
                    <mdb-navbar class="navbar" position="top" dark href="#" scrolling >
                      <mdb-navbar-brand>
                        <img class="logo" src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" alt="mdb logo">
                      </mdb-navbar-brand>
                      <mdb-navbar-toggler right>
                        <mdb-navbar-nav right>
                          <mdb-nav-item class="menu" href="#!">
                              <mdb-icon fab icon="pinterest-p"/>
                          </mdb-nav-item>
                          <mdb-nav-item class="menu" href="#!">
                              <mdb-icon fab icon="dribbble"/>
                          </mdb-nav-item>
                          <mdb-nav-item class="menu" href="#!">
                              <mdb-icon fab icon="facebook-f"/>
                          </mdb-nav-item>
                          <mdb-nav-item class="menu" href="#!">
                              <mdb-icon fab icon="instagram"/>
                          </mdb-nav-item>
                          <mdb-dropdown class="menu">
                          <mdb-dropdown-toggle slot="toggle" tag="a" navLink><mdb-icon icon="user" /></mdb-dropdown-toggle>
                          <mdb-dropdown-menu right>
                            <mdb-dropdown-item>My account</mdb-dropdown-item>
                            <mdb-dropdown-item >Log out</mdb-dropdown-item>
                          </mdb-dropdown-menu>
                        </mdb-dropdown>
                        </mdb-navbar-nav>
                      </mdb-navbar-toggler>
                    </mdb-navbar>
                    <mdb-row class="page row">
                      <mdb-col md="6" xs="12" class="half-page column animated fadeInLeft">
                        <h1 class="heading display-3">Material Design for Bootstrap</h1>
                        <h2 class="subheading font-weight-bold">World's most popular framework for building responsive, mobile-first websites and apps</h2>
                        <mdb-btn rounded icon="caret-right" icon-right color="lily">get started</mdb-btn>
                      </mdb-col>
                      <mdb-col class="column" md="6" xs="12">
                        <mdb-view>
                        <img class="image animated fadeInDown" src="https://images.pexels.com/photos/325045/pexels-photo-325045.webp" >
                        <mdb-mask flex-center class="hm-gradient" />
                        </mdb-view>
                      </mdb-col>
                    </mdb-row>
                    <mdb-row class="row">
                      <mdb-container class="text-center paragraph">
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                      <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                      </mdb-container>
                    </mdb-row>
                  </div>
                </template>
              
        
    
        
            
                <script>
                  import {mdbNavbar, mdbNavbarNav, mdbNavItem, mdbBtn, mdbContainer, mdbNavbarBrand, mdbNavbarToggler, mdbFileInput, mdbIcon, mdbDropdown, mdbDropdownMenu, mdbDropdownToggle, mdbDropdownItem, mdbRow, mdbCol, mdbParallax, mdbView, mdbMask } from 'mdbvue';
                  export default {
                    name: "halfPageIntro",
                    components: {
                      mdbNavbar,
                      mdbNavbarNav,
                      mdbNavItem,
                      mdbBtn,
                      mdbNavbarBrand,
                      mdbNavbarToggler,
                      mdbContainer,
                      mdbFileInput,
                      mdbIcon,
                      mdbDropdown,
                      mdbDropdownMenu,
                      mdbDropdownToggle,
                      mdbDropdownItem,
                      mdbCol,
                      mdbRow,
                      mdbParallax,
                      mdbView,
                      mdbMask
                    }
                  };
          
                </script>
              
        
    
        
            
              <style scoped>
                  .logo {
                    height: 40px;
                    width: auto;
                    margin: 10px;
                  }
          
                  .menu {
                    text-align: end;
                    padding-right: 0.5em;
                  }
          
                  .hm-gradient {
                    background: linear-gradient(40deg, rgba(0,51,199,.3), rgba(209,149,249,.3));
                  }
          
                  .navbar {
                    background: linear-gradient(40deg, rgba(0,51,199,.3), rgba(209,149,249,.3));
                    box-shadow: 0 0 0 0 transparent;
                    margin-top: 50px;
                  }
          
                  .navbar:not(.top-nav-collapse) {
                    background: transparent;
                  }
          
                  .row {
                    margin: 0;
                    padding:0;
                  }
          
                  .column {
                    margin: 0;
                    padding: 0;
                  }
          
                  .half-page {
                    display: flex;
                    justify-content: center;
                    align-items: flex-start;
                    flex-direction: column;
                    padding: 0 6rem;
                  }
          
                  .heading {
                    font-weight: 700;
                    color: #5d4267;
                  }
          
                  .subheading {
                    margin: 2.5rem 0;
                    color: #bcb2c0;
                    font-size: 1.5rem;
                  }
          
                  .btn-lily {
                    background: linear-gradient(40deg, rgba(0,51,199,.7), rgba(209,149,249,.7));
                  }
          
                  .image {
                    width: 100%;
                  }
          
                  .paragraph {
                    padding: 3rem 1.5em;
                  }
          
                  @media screen and (max-width: 770px) {
                    .half-page {
                      padding:2rem;
                    }
          
                    .navbar {
                      position: relative;
                      margin-top: 5px;
                    }
                    .navbar:not(.top-nav-collapse) {
                        background: linear-gradient(40deg, rgba(0,51,199,.3), rgba(209,149,249,.3));
                    }
                  }
                  @media screen and (max-width: 400px) {
                    .half-page {
                      padding: 1rem;
                    }
                  }
                  @media screen and (max-width: 320px) {
                    .heading {
                      font-size: 4em;
                    }
                  }
                </style>
              
        
    

App intro MDB Pro component

        
            
                  <template>
                    <div>
                      <!--Navbar-->
                      <mdb-navbar :color="'primary'" position="top" dark href="#" transparent scrolling>
                        <mdb-container>
                          <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                          <mdb-navbar-toggler style="max-width: 1140px">
                            <mdb-navbar-nav left>
                              <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Link</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Profile</mdb-nav-item>
                            </mdb-navbar-nav>
                            <!--Search form -->
                            <mdb-navbar-nav right>
                              <form>
                                <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                              </form>
                            </mdb-navbar-nav>
                            <!--/.Search form -->
                          </mdb-navbar-toggler>
                        </mdb-container>
                      </mdb-navbar>
                      <!--/.Navbar-->
                      <!--ViewWrapper-->
                      <mdb-view>
                        <mdb-mask class="gradient d-flex justify-content-center align-items-center">
                          <mdb-container>
                            <mdb-row>
                                <div class="white-text text-center text-md-left col-md-6 mt-xl-5 mb-5 animated fadeInLeft">
                                  <h1 class="h1-responsive font-weight-bold mt-sm-5">Make purchases with our app </h1>
                                  <hr class="hr-light"/>
                                  <h6 class="mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga nesciunt
                                  dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea dolor molestiae
                                  iste.</h6>
                                  <mdb-btn color="white">Download</mdb-btn>
                                  <mdb-btn outline="white">Learn More</mdb-btn>
                                </div>
                              <mdb-col md="6" xl="5" class="mt-xl-5 animated fadeInRight">
                                <img src="https://mdbootstrap.com/img/Mockups/Transparent/Small/admin-new.webp" class="img-fluid"/>
                              </mdb-col>
                            </mdb-row>
                          </mdb-container>
                        </mdb-mask>
                      </mdb-view>
                      <!--/.ViewWrapper-->
            
                      <mdb-container>
                        <mdb-row class="py-5">
                          <col md="12" class="text-center">
                            <p>
                              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                            </p>
                        </mdb-row>
                      </mdb-container>
                    </div>
                  </template>
                  
        
    
        
            
                    <script>
                      import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbView, mdbMask, mdbBtn, mdbNavbarBrand } from 'mdbvue';
                      export default {
                        name: 'AppPage',
                        components: {
                          mdbContainer,
                          mdbRow,
                          mdbCol,
                          mdbNavbar,
                          mdbNavbarToggler,
                          mdbNavbarNav,
                          mdbNavItem,
                          mdbInput,
                          mdbView,
                          mdbMask,
                          mdbBtn,
                          mdbNavbarBrand
                        }
                      }
                    </script>
                  
        
    
        
            
                    <style>
                      .navbar .md-form {
                        margin: 0;
                      }
                      .top-nav-collapse {
                        background-color: #424f95 !important;
                      }
                      @media (max-width: 990px){
                        .navbar {
                          background-color: #424f95 !important;
                        }
                      }
                      .view {
                        background-image: url('https://mdbootstrap.com/img/Photos/Others/architecture.webp');
                        background-repeat: no-repeat;
                        background-size: cover;
                        background-position: center center;
                        height: calc(100vh - 60px);
                      }
                      .gradient {
                        background: -moz-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                        background: -webkit-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                        background: -webkit-gradient(linear, 45deg, from(rgba(42, 27, 161, 0.7)), to(rgba(29, 210, 177, 0.7)));
                        background: -o-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                        background: linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                      }
                      h6 {
                        line-height: 1.7;
                      }
                    </style>
                  
        
    

Contact Form intro MDB Pro component

        
            
                  <template>
                    <div>
                      <header>
                        <!--Navbar-->
                        <mdb-navbar style="margin-top: 60px" :color="'primary'" position="top" dark href="#" transparent scrolling>
                          <mdb-container>
                            <mdbNavbarBrand href="#"><strong>MDB</strong></mdbNavbarBrand>
                            <mdb-navbar-toggler style="max-width: 1140px">
                              <mdb-navbar-nav left>
                                <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                                <mdb-nav-item href="#" waves-fixed>Link</mdb-nav-item>
                                <mdb-nav-item href="#" waves-fixed>Profile</mdb-nav-item>
                              </mdb-navbar-nav>
                              <!--Search form -->
                              <form>
                                <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" label navInput waves waves-fixed/>
                              </form>
                              <!--/.Search form -->
                            </mdb-navbar-toggler>
                          </mdb-container>
                        </mdb-navbar>
                        <!--/.Navbar-->
            
                        <!--ViewWrapper-->
                        <view-wrapper>
                          <mdb-mask overlay="indigo-strong" class="d-flex justify-content-center align-items-center">
                            <mdb-container>
                                <!--Grid row-->
                                <mdb-row class="pt-lg-5 mt-lg-5">
                                  <!--Grid column-->
                                  <mdb-col md="6" class="mb-5 mt-md-0 mt-5 white-text text-center text-md-left animated fadeInLeft">
                                    <h1 class="display-4 font-weight-bold ">Lorem ipsum</h1>
                                    <hr class="hr-light">
                                    <h6 class="mb-3 ">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga
                                    nesciunt dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea
                                    dolor molestiae, quisquam iste.</h6>
                                    <mdb-btn outline="white">Learn more</mdb-btn>
                                  </mdb-col>
                                  <!--Grid column-->
                                  <!--Grid column-->
                                  <mdb-col md="6" xl="5" class="mb-4 animated fadeInRight">
                                    <!--Form-->
                                    <mdb-card>
                                      <mdb-card-body class="z-depth-2">
                                        <!--Header-->
                                        <div class="text-center">
                                          <h3 class="dark-grey-text">
                                            <strong>Write to us:</strong>
                                          </h3>
                                          <hr>
                                        </div>
                                        <!--Body-->
                                        <div class="md-form">
                                        <!--Input with icon prefix-->
                                          <mdb-input type="text" icon="user" iconClass="grey-text" label="Your name" id="form-name"/>
                                          <mdb-input type="text" icon="envelope" iconClass="grey-text" label="Your mail" id="form-email"/>
                                          <!--Textarea with icon prefix-->
                                          <mdb-textarea icon="pencil-alt" iconClass="grey-text" label="Your message" id="form-text" :rows="3"/>
                                        </div>
                                        <div class="text-center mt-3">
                                          <mdb-btn color="indigo">Send</mdb-btn>
                                          <hr>
                                          <fieldset class="form-check">
                                            <mdb-input type="checkbox" label="Subscribe me to the newsletter" id="form-subscribe" inline/>
                                          </fieldset>
                                        </div>
                                      </mdb-card-body>
                                    </mdb-card>
                                    <!--/.Form-->
                                  </mdb-col>
                                  <!--Grid column-->
                                </mdb-row>
                                <!--Grid row-->
                            </mdb-container>
                          </mdb-mask>
                        </view-wrapper>
                        <!--/.ViewWrapper-->
                      </header>
                      <main>
                        <mdb-container>
                          <mdb-row class="py-5">
                            <mdb-col md="12" class="text-center">
                            <p>
                              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                            </p>
                          </mdb-col>
                          </mdb-row>
                        </mdb-container>
                      </main>
                    </div>
                  </template>
                
        
    
        
            
                  <script>
                    import { mdbNavbar, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbTextarea, mdbView, mdbMask, mdbRow, mdbCol, mdbContainer, mdbBtn, mdbCard, mdbCardBody, mdbNavbarBrand } from 'mdbvue';
                    export default {
                      name: 'ContactFormPage',
                      components: {
                        mdbNavbar,
                        mdbNavbarToggler,
                        mdbNavbarNav,
                        mdbNavItem,
                        mdbInput,
                        mdbTextarea,
                        mdbView,
                        mdbMask,
                        mdbRow,
                        mdbCol,
                        mdbContainer,
                        mdbBtn,
                        mdbCard,
                        mdbCardBody,
                        mdbNavbarBrand
                      }
                    }
                  </script>
                
        
    
        
            
                  <style>
                    .navbar .md-form {
                      margin: 0;
                    }
                    .top-nav-collapse {
                        background-color: #39448c !important;
                    }
                    @media (max-width: 990px){
                      .navbar {
                        background-color: #424f95 !important;
                      }
                    }
                    .view {
                      background-image: url(https://mdbootstrap.com/img/Photos/Others/images/89.webp);
                      background-repeat: no-repeat;
                      background-size: cover;
                      background-position: center center;
                      height: calc(100vh - 60px);
                    }
                    h6 {
                        line-height: 1.7;
                    }
                  </style>
                
        
    

Call to Action Buttons intro MDB Pro component

        
            
                <template>
                  <div>
                    <!--Navbar-->
                    <mdb-navbar style="margin-top: 60px" position="top" href="#" transparent scrolling>
                      <mdb-container>
                        <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                        <mdb-navbar-toggler style="max-width: 1140px">
                          <mdb-navbar-nav left>
                            <mdb-nav-item waves-fixed active>Home</mdb-nav-item>
                            <mdb-nav-item waves-fixed>Link</mdb-nav-item>
                            <mdb-nav-item waves-fixed>Profile</mdb-nav-item>
                          </mdb-navbar-nav>
                          <!--Search form -->
                          <mdb-navbar-nav right>
                            <form>
                              <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                            </form>
                          </mdb-navbar-nav>
                          <!--/.Search form -->
                        </mdb-navbar-toggler>
                      </mdb-container>
                    </mdb-navbar>
                    <!--/.Navbar-->
                    <mdb-parallax
                      src="https://mdbootstrap.com/img/Photos/Others/gradient2.webp"
                      height="full"
                      factor="2" >
                      <mdb-mask overlay="purple-slight" color="#78909c" class="d-flex justify-content-center align-items-center">
                        <mdb-container>
                          <mdb-row class="mt-5 pt-5">
                            <mdb-col md="12" class="text-center animated fadeInUp">
                              <h1 class="h1-reponsive font-weight-bold">
                                <strong>Our New Course is Ready</strong>
                              </h1>
                              <h5 class="mb-5 pt-md-5 pt-sm-2 pt-5 pb-md-5 pb-sm-3 pb-5" >It comes with a lot of new features, easy to follow videos and images. Check it out now!</h5>
                              <mdb-btn color="purple" rounded icon="user">sign up!</mdb-btn>
                              <mdb-btn  outline="purple" rounded>learn more</mdb-btn>
                            </mdb-col>
                          </mdb-row>
                        </mdb-container>
                      </mdb-mask>
                    </mdb-parallax>
                    <main>
                      <mdb-container>
                        <mdb-row class="py-5">
                          <mdb-col md="12" class="text-center">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                            <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                            <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                          </mdb-col>
                        </mdb-row>
                      </mdb-container>
                    </main>
                  </div>
                </template>
              
        
    
        
            
                <script>
                  import { mdbContainer, mdbNavbar, mdbNavbarBrand, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbParallax, mdbMask, mdbRow, mdbCol, mdbBtn } from 'mdbvue';
                  export default {
                    name: 'CallToActionButtonsIntro',
                    components: {
                      mdbContainer,
                      mdbNavbar,
                      mdbNavbarToggler,
                      mdbNavbarBrand,
                      mdbNavbarNav,
                      mdbNavItem,
                      mdbInput,
                      mdbParallax,
                      mdbMask,
                      mdbRow,
                      mdbCol,
                      mdbBtn
                    }
                  }
                </script>
              
        
    
        
            
                <style>
                  .top-nav-collapse {
                    background-color: #f8bbd0 !important;
                  }
                </style>
              
        
    

Parallax Effect intro MDB Pro component

        
            
                <template>
                  <div>
                    <mdb-navbar style="margin-top: 60px" position="top" color="light-blue" dark transparent scrolling>
                      <mdb-container>
                        <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                        <mdb-navbar-toggler style="max-width: 1140px">
                          <mdb-navbar-nav left>
                            <mdb-nav-item waves-fixed active>Home</mdb-nav-item>
                            <mdb-nav-item waves-fixed>Link</mdb-nav-item>
                            <mdb-nav-item waves-fixed>Profile</mdb-nav-item>
                          </mdb-navbar-nav>
                          <!--Search form -->
                          <mdb-navbar-nav right>
                            <form>
                              <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                            </form>
                          </mdb-navbar-nav>
                          <!--/.Search form -->
                        </mdb-navbar-toggler>
                      </mdb-container>
                    </mdb-navbar>
                    <mdb-parallax
                      src="https://mdbootstrap.com/img/Photos/Others/images/76.webp'"
                      height="full"
                      factor="2">
                      <mdb-mask overlay="blue-slight" flexCenter>
                        <mdb-row class="mb-5 pb-5 text-center white-text">
                          <mdb-col md="12" xl="12" class="mx-auto">
                            <h1 class="display-3 font-weight-bold animated fadeInDown">Natalie <a class="indigo-text">Smith</a></h1>
                            <h5 class="font-weight-bold pt-md-5 pt-sm-2 pt-5 pb-md-5 pb-sm-3 pb-5 animated fadeInDown">Web developer & graphic designer</h5>
                            <mdb-btn size="lg animated fadeInDown" color="light-blue">portfolio</mdb-btn>
                            <mdb-btn size="lg animated fadeInDown" color="indigo">about me</mdb-btn>
                          </mdb-col>
                        </mdb-row>
                      </mdb-mask>
                    </mdb-parallax>
                    <main>
                      <mdb-container>
                        <!--Grid row-->
                        <mdb-row class="py-5">
                          <!--Grid column-->
                          <mdb-col md="12" class="text-center">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                        <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                        <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                          </mdb-col>
                          <!--Grid column-->
                        </mdb-row>
                        <!--Grid row-->
                      </mdb-container>
                    </main>
                  </div>
                </template>
              
        
    
        
            
                <script>
                  import { mdbNavbar, mdbNavbarBrand, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbContainer, mdbParallax, mdbMask, mdbRow, mdbCol, mdbBtn } from 'mdbvue';
                  export default {
                    name: 'ParallaxPage',
                    components: {
                      mdbNavbar,
                      mdbNavbarBrand,
                      mdbNavbarToggler,
                      mdbNavbarNav,
                      mdbNavItem,
                      mdbInput,
                      mdbContainer,
                      mdbParallax,
                      mdbMask,
                      mdbRow,
                      mdbCol,
                      mdbBtn
                    }
                  }
                </script>
              
        
    
        
            
                <style>
                  .top-nav-collapse {
                    background-color: #82b1ff !important;
                  }
          
                  h1, h5 {
                    text-transform: uppercase;
                  }
          
                  h5 {
                    letter-spacing: 3px;
                  }
                </style>
              
        
    

Classic Register Form intro MDB Pro component

        
            
                  <template>
                    <div class="classic-form-page">
                      <mdb-navbar style="margin-top: 60px" :color="'primary'" position="top" dark href="#" transparent scrolling>
                        <mdb-container>
                          <mdbNavbarBrand href="#"><strong>MDB</strong></mdbNavbarBrand>
                          <mdb-navbar-toggler style="max-width: 1140px">
                            <mdb-navbar-nav left>
                              <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                            </mdb-navbar-nav>
                            <form>
                              <mdb-input type="text" class="text-white" placeholder="Search" aria-label="Search" label navInput waves waves-fixed/>
                            </form>
                          </mdb-navbar-toggler>
                        </mdb-container>
                      </mdb-navbar>
            
                      <view-wrapper>
                        <mdb-mask class="d-flex gradient justify-content-center align-items-center">
                          <mdb-container>
                            <mdb-row>
                              <div class="white-text text-center text-md-left col-md-6 mt-xl-5 mb-5">
                                <h1 class="h1-responsive font-weight-bold animated fadeInLeft">Sign up right now! </h1>
                                <hr class="hr-light animated fadeInLeft"/>
                                <h6 class="mb-4 animated fadeInLeft">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga nesciunt dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea dolor molestiae, quisquam iste, maiores. Nulla.</h6>
                                <mdb-btn outline="white animated fadeInLeft" color="white">Learn More</mdb-btn>
                              </div>
                              <mdb-col md="6" xl="5" class="mb-4 animated fadeInRight">
                                <mdb-card id="classic-card">
                                  <mdb-card-body class="z-depth-2 white-text">
                                    <h3 class="text-center"><mdb-icon icon="user"/> Register:</h3>
                                    <hr class="hr-light"/>
                                    <mdb-input label="Your name" labelColor="white" icon="user"/>
                                    <mdb-input label="Your email" labelColor="white" icon="envelope"/>
                                    <mdb-input label="Your password" labelColor="white" icon="lock" type="password"/>
                                    <div class="text-center mt-4 black-text">
                                      <mdb-btn color="indigo">Sign Up</mdb-btn>
                                      <hr class="hr-light"/>
                                      <div class="text-center d-flex justify-content-center white-label">
                                        <a class="p-2 m-2">
                                          <mdb-icon fab icon="twitter" class="white-text"/>
                                        </a>
                                        <a class="p-2 m-2">
                                          <mdb-icon fab icon="linkedin" class="white-text"/>
                                        </a>
                                        <a class="p-2 m-2">
                                          <mdb-icon fab icon="instagram" class="white-text"/>
                                        </a>
                                      </div>
                                    </div>
                                  </mdb-card-body>
                                </mdb-card>
                              </mdb-col>
                            </mdb-row>
                          </mdb-container>
                        </mdb-mask>
                      </view-wrapper>
            
                      <mdb-container>
                        <mdb-row class="py-5">
                          <mdb-col md="12" class="text-center">
                            <p>
                              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                            </p>
                          </mdb-col>
                        </mdb-row>
                      </mdb-container>
                    </div>
                  </template>
                
        
    
        
            
                  <script>
                    import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavItem, mdbNavbarNav, mdbNavbarToggler, ViewWrapper, mdbMask, mdbBtn, mdbCard, mdbCardBody, mdbInput, mdbIcon, mdbNavbarBrand } from 'mdbvue';
                    export default {
                      name: 'ClassicFormPage',
                      components: {
                        mdbContainer,
                        mdbRow,
                        mdbCol,
                        mdbNavbar,
                        mdbNavItem,
                        mdbNavbarNav,
                        mdbNavbarToggler,
                        ViewWrapper,
                        mdbMask,
                        mdbBtn,
                        mdbCard,
                        mdbCardBody,
                        mdbInput,
                        mdbIcon,
                        mdbNavbarBrand
                      }
                    }
                  </script>
                
        
    
        
            
                  <style>
                    .classic-form-page .view {
                      background-image: url('http://mdbootstrap.com/img/Photos/Others/images/91.webp');
                      background-repeat: no-repeat;
                      background-size: cover;
                      background-position: center center;
                      height: calc(100vh - 60px);
                    }
            
                    .classic-form-page .gradient {
                      background: -webkit-linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
                      background: linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
                    }
            
                    .classic-form-page .card {
                      background-color: rgba(126, 123, 215, 0.2);
                    }
            
                    .classic-form-page h6 {
                      line-height: 1.7;
                    }
            
                    .classic-form-page .navbar {
                      transition: background .5s ease-in-out,padding .5s ease-in-out;
                    }
            
                    .classic-form-page .navbar .md-form {
                      margin: 0;
                    }
            
                    .top-nav-collapse {
                      background: #424f95 !important;
                    }
            
                    @media (max-width: 768px) {
                      .classic-form-page .navbar:not(.top-nav-collapse) {
                          background: #424f95 !important;
                      }
                    }
            
                    .classic-form-page label {
                      color: #fff!important;
                    }
                  </style>
                
        
    

Video background intro MDB Pro component

        
            
                  <template>
                    <div class="video-background-page">
                      <mdb-navbar style="margin-top: 60px" color="primary" position="top" dark href="#" transparent scrolling>
                        <mdb-container>
                          <mdbNavbarBrand href="#"><strong>MDB</strong></mdbNavbarBrand>
                          <mdb-navbar-toggler style="max-width: 1140px">
                            <mdb-navbar-nav left>
                              <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>About</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Services</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Opinions</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Team</mdb-nav-item>
                              <mdb-nav-item href="#" waves-fixed>Contact</mdb-nav-item>
                            </mdb-navbar-nav>
                            <mdb-navbar-nav right>
                              <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="facebook-f" class="light-green-text-2"/></mdb-nav-item>
                              <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="twitter" class="light-green-text-2"/></mdb-nav-item>
                              <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="instagram" class="light-green-text-2"/></mdb-nav-item>
                            </mdb-navbar-nav>
                          </mdb-navbar-toggler>
                        </mdb-container>
                      </mdb-navbar>
            
                      <view-wrapper src="https://mdbootstrap.com/img/video/animation.mp4" video>
                        <mdb-mask class="d-flex justify-content-center align-items-center gradient">
                          <mdb-container class="px-md-3 px-sm-0">
                            <mdb-row>
                              <mdb-col md="12" class="mb-4 white-text text-center animated fadeIn">
                                <h3 class="display-3 font-weight-bold mb-0 pt-md-5 ">Creative Agency </h3>
                                <hr class="hr-light my-4 w-75 "  />
                                <h4 class="subtext-header mt-2 mb-4" >Lorem ipsum dolor sit amet, consectetur adipisicing elit deleniti consequuntur nihil.</h4>
                                <mdb-btn outline="white" rounded color="white" ><mdb-icon icon="home"/> Visit us</mdb-btn>
                              </mdb-col>
                            </mdb-row>
                          </mdb-container>
                        </mdb-mask>
                      </view-wrapper>
            
                      <mdb-container>
                        <mdb-row class="pt-5 pb-4">
                          <mdb-col md="12" class="text-center">
                            <p>
                              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                            </p>
                          </mdb-col>
                        </mdb-row>
                      </mdb-container>
                    </div>
                  </template>
                
        
    
        
            
                  <script>
                    import { mdbContainer, mdbRow, mdbCol, ViewWrapper, mdbMask, mdbBtn, mdbIcon, mdbNavbar, mdbNavItem, mdbNavbarNav, mdbNavbarToggler, mdbNavbarBrand  } from 'mdbvue';
                    export default {
                      name: 'VideoBackgroundPage',
                      components: {
                        mdbContainer,
                        mdbRow,
                        mdbCol,
                        ViewWrapper,
                        mdbMask,
                        mdbBtn,
                        mdbIcon,
                        mdbNavbar,
                        mdbNavItem,
                        mdbNavbarNav,
                        mdbNavbarToggler,
                        mdbNavbarBrand
                      }
                    }
                  </script>
                
        
    
        
            
                  <style>
                    .video-background-page .gradient {
                      background: -moz-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                      background: -webkit-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                      background: linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                  }
            
                  .video-background-page .view video {
                    top: 0!important;
                    left: 0!important;
                    transform: none!important;
                    height: calc(100vh - 60px);
                  }
            
                  .video-background-page .navbar {
                    transition: background .5s ease-in-out,padding .5s ease-in-out;
                  }
            
                  .top-nav-collapse {
                    background-color: #563e91 !important;
                  }
                </style>
              
        
    

Minimalist intro MDB Pro component

        
            
                <template>
                  <div>
                    <!--Navbar-->
                    <mdb-navbar color="stylish" position="top" dark href="#" transparent scrolling>
                      <mdb-container>
                        <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                        <mdb-navbar-toggler style="max-width: 1140px">
                          <mdb-navbar-nav left>
                            <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                            <mdb-nav-item href="#" waves-fixed>Link</mdb-nav-item>
                            <mdb-nav-item href="#" waves-fixed>Profile</mdb-nav-item>
                          </mdb-navbar-nav>
                          <!--Search form -->
                          <mdb-navbar-nav right>
                            <form>
                              <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                            </form>
                          </mdb-navbar-nav>
                          <!--/.Search form -->
                        </mdb-navbar-toggler>
                      </mdb-container>
                    </mdb-navbar>
                    <!--/.Navbar-->
          
                    <!--ViewWrapper-->
                    <mdb-parallax
                      src="https://mdbootstrap.com/img/Photos/Others/img%20%2848%29.webp"
                      height="full"
                      factor="2">
                    <mdb-mask overlay="black-light" color="#78909c" class="d-flex justify-content-center align-items-center">
                      <mdb-container>
                        <mdb-row class="mt-5 pt-5">
                          <mdb-col md="12" class="text-center animated fadeIn">
                            <h1 class="h1-reponsive white-text ">
                              <strong>Minimalist intro</strong>
                            </h1>
                            <hr class="hr-light mt-4" />
                            <h5 class="mb-5 white-text"  >Photography & Design</h5>
                            <mdb-btn outline="white" >portfolio</mdb-btn>
                            <mdb-btn outline="white">about me</mdb-btn>
                          </mdb-col>
                        </mdb-row>
                      </mdb-container>
                    </mdb-mask>
                  </mdb-parallax>
                  <!--/.ViewWrapper-->
                  <main>
                    <mdb-container>
                      <!--Grid row-->
                      <mdb-row class="py-5 mt-4">
                        <!--Grid column-->
                        <mdb-col md="12" class="text-center">
                          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                          <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                          <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                        </mdb-col>
                        <!--Grid column-->
                      </mdb-row>
                      <!--Grid row-->
                    </mdb-container>
                  </main>
                </div>
              </template>
              
        
    
        
            
                <script>
                  import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbView, mdbMask, mdbBtn, mdbNavbarBrand, mdbParallax } from 'mdbvue';
                  export default {
                    name: 'AppPage',
                    components: {
                      mdbContainer,
                      mdbRow,
                      mdbCol,
                      mdbNavbar,
                      mdbNavbarToggler,
                      mdbNavbarNav,
                      mdbNavItem,
                      mdbInput,
                      mdbView,
                      mdbMask,
                      mdbBtn,
                      mdbNavbarBrand,
                      mdbParallax
                    }
                  };
                </script>
              
        
    
        
            
                <style scoped>
                  h1 {
                    font-weight: bolder;
                    letter-spacing: 8px;
                  }
                  h1, h5 {
                    text-transform: uppercase;
                  }
                  h5 {
                    letter-spacing: 3px;
                        font-weight: 300;
                  }
                  .hr-light {
                    border-top: 3px solid #fff;
                    width: 80px;
                  }
                  .navbar {
                    transition: 1s;
                  }
                  .navbar .md-form {
                    margin: 0;
                  }
                  .top-nav-collapse {
                    background-color: #78909c !important;
                  }
                  @media (max-width: 990px){
                    .navbar {
                      background-color: #78909c !important;
                    }
                  }
                  .gradient {
                    background: -moz-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                    background: -webkit-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                    background: -webkit-gradient(linear, 45deg, from(rgba(42, 27, 161, 0.7)), to(rgba(29, 210, 177, 0.7)));
                    background: -o-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                    background: linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
                  }
                  h6 {
                      line-height: 1.7;
                  }
              </style>